## ovn 23.03.1

=== Documentation/requirements.txt ===
sphinx>=1.1,<2.0
ovs_sphinx_theme>=1.0,<1.1

=== utilities/containers/Makefile ===
CONTAINER_CMD ?= podman
DISTRO ?= fedora
IMAGE_NAME ?= "ovn-org/ovn-tests"

.PHONY: build

build: ;$(CONTAINER_CMD) build --no-cache --rm -t $(IMAGE_NAME) -f $(DISTRO)/Dockerfile .

## ovn 20.03.0

=== debian/changelog ===
ovn (20.03.0-0ubuntu1) focal; urgency=medium

  * d/watch: Update to track github tags.
  * New upstream release.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Mar 2020 10:14:24 +0000

ovn (20.03.0~git20200212.9a4e68ec8-0ubuntu3) focal; urgency=medium

  * d/ovn-common.dirs: Ensure /etc/ovn is created as part of the
    package installation.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Feb 2020 09:17:20 +0000

ovn (20.03.0~git20200212.9a4e68ec8-0ubuntu2) focal; urgency=medium

  * d/ovn-common.{install,manpages}: Install ovn-appctl binary and
    associated manpage (LP: #1863585).

 -- James Page <james.page@ubuntu.com>  Mon, 17 Feb 2020 17:42:22 +0000

ovn (20.03.0~git20200212.9a4e68ec8-0ubuntu1) focal; urgency=medium

  * d/rules: Switch to snapshots from 20.03 release branch.
  * New upstream snapshot from release branch:
    - d/p/no-python.patch: Ensure build uses PYTHON3 for all python
      scripts.
  * Add support for OVN interconnection controller:
    - d/control,rules: Add new binary packages for ovn-ic and ovn-ic-db.
    - d/ovn-ic*: Install binaries, manpages and systemd units for
      new ovn-ic daemon and associated ovsdb-server instances.
  * d/control: Use openvswitch-common instead of openvswitch-switch where
    appropriate to avoid running OVS daemons when they are not required.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2020 13:14:26 +0000

ovn (2.12.90~git20200107.c80e014d4-0ubuntu1) focal; urgency=medium

  * Split OVN packaging from Open vSwitch inline with upstream
    separation:
    - d/rules: Adapt build process to use new openvswitch-source
      package as OVN requires a built openvswitch source tree
      to complete the OVN build process.
    - d/*.install,dirs: Rework openvswitch->ovn.
    - d/*.init,service,rules: Switch package to use systemd
      configuration files for all daemons (LP: #1843582),
      drop init scripts.
    - d/control: Add new ovn-doc package.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jan 2020 09:49:11 +0000

openvswitch (2.12.1~git20191107.7accd1302-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
  * d/ovn-common.install: Include ovn-trace binary and manpage
    (LP: #1851517).

 -- James Page <james.page@ubuntu.com>  Tue, 12 Nov 2019 14:43:03 -0800

openvswitch (2.12.0-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 13 Sep 2019 15:02:56 +0100

openvswitch (2.12.0~git20190903.1cdf291dc-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot from 2.12 branch.
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: Drop,
    included upstream.
  * d/control: Bumped Standards-Version to 4.4.0.
  * d/control,rules: Drop Python 2 support.
  * d/rules: Disable testing of DPDK build on arm64 as builders don't
    have the required crc32 CPU feature.
  * d/control: Version BD for libdpdk-dev to ensure buid without overlinking.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Sep 2019 09:46:28 +0100

openvswitch (2.11.1-0ubuntu1) eoan; urgency=medium

  * New upstream point release (LP: #1836709):
    - d/p/*: Refresh.
  * d/openvswitch-switch.{install,service,ovsdb-server.service},d/ovs-
    systemd-reload: Optimize reload of openvswitch-switch to minimize
    networking downtime (LP: #1823282).
  * d/openvswitch-switch.{ovs-vswitchd,ovsdb-server}.service: Drop
    default dependencies and correct network.service ->
    networking.service, add After: dpdk.service (LP: #1813371).
  * d/openvswitch-switch{-dpdk}.prerm,postinst: Tidy with case statements,
    only remove alternatives when package is being removed (LP: #1836713).
  * d/rules: Refresh TEST_LIST for observed errors for new point release.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jul 2019 11:19:41 +0100

openvswitch (2.11.0-0ubuntu2) disco; urgency=medium

  * d/rules: Skip execution of dh_systemd_start for openvswitch-switch
    subunits avoiding multiple restarts during package configuration
    (LP: #1823295).

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2019 17:07:11 +0100

openvswitch (2.11.0-0ubuntu1) disco; urgency=medium

  * d/watch: Update for changes in upstream releases page.
  * New upstream release, superceeding previous snapshots from 2.11
    release branch.
  * d/rules: Skip test 2768 on amd64 and s390x.

 -- James Page <james.page@ubuntu.com>  Wed, 06 Mar 2019 10:11:19 +0000

openvswitch (2.11.0~git20190214.a8a67726e-0ubuntu1) disco; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: update to
    the upstream accepted patch. The changes were unified and thereby drop:
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch

  [ James Page ]
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh/rebase.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Feb 2019 13:12:34 +0000

openvswitch (2.11.0~git20190121.4e4f80ec2-0ubuntu1) disco; urgency=medium

  [ James Page ]
  * d/rules: Switch snapshots to 2.11 branch.
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh.
  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Drop,
    included in snapshot.

  [ Christian Ehrhardt ]
  * fix linking with DPDK 18.11 - updated to v2 of the upstream patch series
    - d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch
  * d/rules: mask test 2767 failing in OVS 2.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 31 Jan 2019 12:03:50 +0100

openvswitch (2.10.1-0ubuntu2) disco; urgency=medium

  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Cherry
    pick fix for abort in OF connection manager.

 -- James Page <james.page@ubuntu.com>  Mon, 26 Nov 2018 10:57:06 +0000



=== debian/control ===
Source: ovn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
Build-Depends:
 autoconf (>= 2.64),
 automake (>= 1.10) | automake1.10,
 bzip2,
 debhelper (>= 10~),
 dh-python,
 graphviz,
 libcap-ng-dev,
 libnuma-dev [amd64 i386 ppc64el arm64],
 libpcap-dev [amd64 i386 ppc64el arm64],
 libssl-dev,
 libtool,
 libunbound-dev,
 openssl,
 openvswitch-source (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
 pkg-config,
 procps,
 python3-all-dev,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
 python3-sphinx,
Standards-Version: 4.4.0
Homepage: https://github.com/ovn-org/ovn
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn

Package: ovn-central
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN central components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-central provides the userspace daemons, utilities and
 databases for OVN that is run at a central location.

Package: ovn-common
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OVN common components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-common provides components required by other OVN packages.

Package: ovn-controller-vtep
Architecture: linux-any
Depends:
 lsb-base,
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN vtep controller
 ovn-controller-vtep is the local controller daemon in
 OVN, the Open Virtual Network, for VTEP enabled physical switches.
 It connects up to the OVN Southbound database over the OVSDB protocol,
 and down to the VTEP database over the OVSDB protocol.
 .
 ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
 vtep gateways.

Package: ovn-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OVN documentation
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 This package provides documentation for configuration and use
 of OVN.

Package: ovn-docker
Architecture: linux-any
Depends:
 openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
 ovn-common (= ${binary:Version}),
 python3-openvswitch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OVN Docker drivers
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-docker provides the docker drivers for OVN.

Package: ovn-host
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 openvswitch-switch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OVN host components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-host provides the userspace components and utilities for
 OVN that can be run on every host/hypervisor.

Package: ovn-ic
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 ovn-central,
Suggests:
 ovn-ic-db,
Description: Open Virtual Network interconnection controller
 OVN IC, the Open Virtual Network interconnection controller, is a
 centralized daemon which communicates with global interconnection
 databases to configure and exchange data with local OVN databases for
 interconnection with other OVN deployments.
 .
 This package provides the ovn-ic daemon which should be run alongside
 ovn-central services in each OVN deployment zone.

Package: ovn-ic-db
Architecture: linux-any
Depends:
 lsb-base,
 lsb-release,
 openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
 ovn-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open Virtual Network interconnection controller databases
 OVN IC, the Open Virtual Network interconnection controller, is a
 centralized daemon which communicates with global interconnection
 databases to configure and exchange data with local OVN databases for
 interconnection with other OVN deployments.
 .
 This package provides the global OVN IC southbound and northbound
 OVSDB databases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,python3,systemd,sphinxdoc

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

override_dh_auto_configure:
	# Configure OVS before OVN
	test -d $(CURDIR)/ovs || mkdir ovs
	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr
	# Use dh_auto_configure to build OVN
	dh_auto_configure -- \
		--prefix=/usr \
		--localstatedir=/var \
		--sysconfdir=/etc \
		--with-dbdir=/var/lib/ovn \
		--with-ovs-source=$(CURDIR)/ovs \
		--enable-ssl

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	if $(MAKE) check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST)' || \
                $(MAKE) check TESTSUITEFLAGS='--recheck'; then :; \
	else \
		cat tests/testsuite.log; \
		exit 1; \
	fi
endif # nocheck

override_dh_auto_build:
	cd ovs && $(MAKE) $(PARALLEL)
	$(MAKE) $(PARALLEL)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ovs

override_dh_installinit:
	# Package does not ship any init.d files
	dh_installinit --no-scripts

override_dh_systemd_enable:
	dh_systemd_enable -povn-central --name=ovn-northd
	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-sb
	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-nb
	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-sb
	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-nb
	dh_systemd_enable -povn-host --name=ovn-controller
	dh_systemd_enable

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Helper target for creating snapshots from upstream git
DATE=$(shell date +%Y%m%d)
# Upstream branch to track
BRANCH=branch-20.03
VERSION=20.03.0

get-orig-snapshot:
	rm -Rf ovn-upstream
	git clone https://github.com/ovn-org/ovn ovn-upstream
	cd ovn-upstream && \
		git checkout $(BRANCH) && \
		export COMMIT=`git rev-parse --short HEAD` && \
		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
	rm -Rf ovn-upstream

## ovn 20.03.2

=== debian/changelog ===
ovn (20.03.2-0ubuntu0.20.04.6) focal-security; urgency=medium

  * SECURITY UPDATE: ACL bypass in logical switch with DNS records
    - debian/patches/CVE-2025-0650.patch: skip only OVN DNS responder
      packets from OUT_ACL in controller/pinctrl.c,
      include/ovn/logical-fields.h, lib/logical-fields.c,
      northd/ovn-northd.c, tests/ovn.at.
    - CVE-2025-0650

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 11:36:29 -0500

ovn (20.03.2-0ubuntu0.20.04.5) focal-security; urgency=medium

  * SECURITY UPDATE: Insufficient validation of incoming BFD packets
    - debian/patches/CVE-2024-2182.patch: set check_tnl_key for BFD on
      tunnel ifaces in controller/bfd.c, tests/ovn.at.
    - CVE-2024-2182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 19:47:13 -0500

ovn (20.03.2-0ubuntu0.20.04.4) focal; urgency=medium

  * Adapt to changes made in previous OVS point release (LP: #1980213):
    - d/control: Update required openvswitch build requirement.
    - d/p/lp-1980213-treewide-bump-ovs-and-fix-problematic-loops.patch
  * Fix upgrade from OVN 20.03 to newer OVN versions (LP: #1940043):
    - d/ovn-host.ovn-controller.service: Pass --restart option when
      calling `ovn-ctl stop_controller`
    - d/p/lp-1940043-0001-Provide-the-option-to-pin-ovn-controller-and-ovn-nor.patch
    - d/p/lp-1940043-0002-controller-Allow-pinctrl-thread-to-handle-packet-ins.patch
  * d/rules, d/testlist.py, d/flaky-tests.txt:
    - Dynamically build list of tests to run from list of test descriptions.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 20 Jul 2022 11:42:49 +0200

ovn (20.03.2-0ubuntu0.20.04.3) focal; urgency=medium

  [ James Troup ]
  * Fix Multicast traffic between VMs using provider networks (LP: #1957817):
   - d/p/lp-1957817-ovn-northd-Add-localnet-ports-to-Multicast_Groups-cr.patch

  [ Frode Nordahl ]
  * Add support for PTR DNS requests (LP: #1857026):
    - d/p/lp-1857026-0001-DNS-Make-DNS-lookups-case-insensitive.patch
    - d/p/lp-1857026-0002-controller-Add-support-for-PTR-DNS-requests.patch

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 25 Feb 2022 08:10:00 +0100

ovn (20.03.2-0ubuntu0.20.04.2) focal; urgency=medium

  * Add RBAC rules for IGMP_Group table (LP: #1914988):
    - d/p/lp-1914988-Add-IGMP_Group-to-ovn-controller-RBAC.patch
    - d/p/lp-1914988-tests-Use-ovn_start-in-tests-ovn-controller.at.patch
    - d/p/lp-1914988-tests-Make-certificate-generation-extendable.patch
    - d/p/lp-1914988-tests-Test-with-SSL-and-RBAC-for-controller-by-defau.patch
  * d/p/lp-1943266-physical-do-not-forward-traffic-from-localport-to-a-.patch:
    Do not forward traffic from localport to localnet ports (LP: #1943266).a
  * d/p/lp-1937075-ovn-ctl-Fix-stucked-while-do-cluster-db-init.patch:
    Fix issue where clustered database might not be upgraded (LP: #1937075).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 01 Oct 2021 09:42:00 +0200

ovn (20.03.2-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream point release (LP: #1924981):
    - d/p/*: Drop, all included in point release.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Apr 2021 11:58:28 +0100

ovn (20.03.1-0ubuntu1.2) focal; urgency=medium

  * d/p/ovn-northd-revert-manage-arp-process-locally-dvr.patch: Cherry pick
    fix for incorrect ARP processing with DVR enabled (LP: #1905933).
  * d/p/ovn-ctl-cluster-db-upgrades.patch: Cherry pick fix for upgrading
    database schema of clustered databases on package upgrade (LP: #1907081)
  * d/p/ovn-ofctrl-predictable-resolution-conflicting-flow-actions-*: Cherry
    pick fixes for predictable resolution for conflicting flow actions.
    (LP: #1906922)

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 12 Jan 2021 11:47:18 +0000

ovn (20.03.1-0ubuntu1.1) focal; urgency=medium

  * d/p/ovn-controller-ofctrl-probe-interval.patch: Cherry pick
    fix to disable ofctrl probe by default (LP: #1899369).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 06 Nov 2020 08:21:03 +0000

ovn (20.03.1-0ubuntu1) focal; urgency=medium

  * New upstream point release (LP: #1897248).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Oct 2020 09:24:02 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libtool,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-source (>= 2.13.8-0ubuntu1~),
  pkg-config,
  procps,
  python3-all-dev,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ovn-$1\.tar\.gz/ \
  https://github.com/ovn-org/ovn/tags .*/v?(\d\S+)\.tar\.gz

## ovn 20.06.2

=== debian/changelog ===
ovn (20.06.2-0ubuntu1) groovy; urgency=medium

  * New upstream stable point release.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Oct 2020 09:20:58 +0100

ovn (20.06.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * d/rules: Drop --with=systemd, not needed.
  * d/control: Drop BD on python3-six - no longer required.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jun 2020 08:13:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf,python3,systemd,sphinxdoc
+	dh $@ --with autoreconf,python3,sphinxdoc
 
 # use --as-needed only if supported by dh-autoreconf (to simplify backporting)
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)

## ovn 20.06.3

=== debian/changelog ===
ovn (20.06.3-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream point release (LP: #1924982):
    - d/p/*: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Apr 2021 11:57:52 +0100

ovn (20.06.2-0ubuntu1.2) groovy; urgency=medium

  * d/p/ovn-ctl-cluster-db-upgrades.patch: Cherry pick fix for upgrading
    database schema of clustered databases on package upgrade (LP: #1907081)
  * d/p/ovn-ofctrl-predictable-resolution-conflicting-flow-actions-*: Cherry
    pick fixes for predictable resolution for conflicting flow actions.
    (LP: #1906922)

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 12 Jan 2021 11:45:12 +0000

ovn (20.06.2-0ubuntu1.1) groovy; urgency=medium

  * d/p/ovn-controller-ofctrl-probe-interval.patch: Cherry pick
    fix to disable ofctrl probe by default (LP: #1899369).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 06 Nov 2020 08:21:03 +0000

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,11 @@
  libtool,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.13.8-0ubuntu1~),
+ openvswitch-source (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  pkg-config,
  procps,
  python3-all-dev,
  python3-setuptools,
- python3-six,
  python3-sortedcontainers,
  python3-sphinx,
 Standards-Version: 4.4.0

## ovn 20.12.0

=== debian/changelog ===
ovn (20.12.0-0ubuntu3) hirsute; urgency=medium

  * Add RBAC rules for IGMP_Group table (LP: #1914988):
    - d/p/lp-1914988-Add-IGMP_Group-to-ovn-controller-RBAC.patch
    - d/p/lp-1914988-northd-Add-missing-RBAC-rules-for-FDB-table.patch
    - d/p/lp-1914988-northd-Amend-Chassis-RBAC-rules.patch
    - d/p/lp-1914988-northd-Add-Controller_Event-RBAC-rules.patch
    - d/p/lp-1914988-tests-Amend-release-stale-port-binding-test-for-RBAC.patch
    - d/p/lp-1914988-tests-Use-ovn_start-in-tests-ovn-controller.at.patch
    - d/p/lp-1914988-tests-Make-certificate-generation-extendable.patch
    - d/p/lp-1914988-tests-Test-with-SSL-and-RBAC-for-controller-by-defau.patch
  * d/p/lp-1943266-physical-do-not-forward-traffic-from-localport-to-a-.patch:
    Do not forward traffic from localport to localnet ports (LP: #1943266).
  * d/p/lp-1913024-northd-Add-Chassis_Private-external_ids-column-to-RB.patch
    Update RBAC rules for Chassis_Private table (LP: #1913024).
  * d/p/lp-1917475-northd-Amend-RBAC-rules-for-Port_Binding-table.patch
    Update RBAC rules for Port_Binding table (LP: #1917475).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 01 Oct 2021 09:42:00 +0200

ovn (20.12.0-0ubuntu2) hirsute; urgency=medium

  * d/rules: Disable test 168 on arm architectures.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Jan 2021 10:39:19 +0000

ovn (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * d/control: Bump minimum openvswitch-source version to >= 2.15.0~.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jan 2021 16:54:31 +0000

ovn (20.09.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * d/control: Bump minimum openvswitch-source >= 2.14.0.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Nov 2020 16:44:10 +0000

ovn (20.06.2-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:43:59 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libtool,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-source (>= 2.15.0~),
  pkg-config,
  procps,
  python3-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,15 @@
 		--with-dbdir=/var/lib/ovn \
 		--with-ovs-source=$(CURDIR)/ovs \
 		--enable-ssl
+
+# NOTE(jamespage): by default, just run all tests
+TEST_LIST =
+
+# arm64,armhf:
+#  168: ovn -- ovn-controller incremental processing    FAILED (ovn-performance.at:483)
+ifneq (,$(filter arm64 armhf, $(DEB_HOST_ARCH)))
+TEST_LIST = 1-167 169-
+endif # arm64,armhf
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -70,8 +79,8 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=branch-20.03
-VERSION=20.03.0
+BRANCH=branch-20.12
+VERSION=20.12.0
 
 get-orig-snapshot:
 	rm -Rf ovn-upstream

## ovn 21.06.0%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+
+UPSTREAM_GIT = https://github.com/openvswitch/ovn
+include /usr/share/openstack-pkg-tools/pkgos.make
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
 	dh $@ --with autoreconf,python3,sphinxdoc
@@ -36,7 +41,7 @@
 # arm64,armhf:
 #  168: ovn -- ovn-controller incremental processing    FAILED (ovn-performance.at:483)
 ifneq (,$(filter arm64 armhf, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-167 169-
+TEST_LIST = 1-167 169-390 393-
 endif # arm64,armhf
 
 override_dh_auto_test:
@@ -61,33 +66,14 @@
 	# Package does not ship any init.d files
 	dh_installinit --no-scripts
 
-override_dh_systemd_enable:
-	dh_systemd_enable -povn-central --name=ovn-northd
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-sb
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-nb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-sb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-nb
-	dh_systemd_enable -povn-host --name=ovn-controller
-	dh_systemd_enable
-
-override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade
+override_dh_installsystemd:
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-northd
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-sb
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-nb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-sb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-nb
+	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-controller
+	dh_installsystemd --restart-after-upgrade
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
-# Helper target for creating snapshots from upstream git
-DATE=$(shell date +%Y%m%d)
-# Upstream branch to track
-BRANCH=branch-20.12
-VERSION=20.12.0
-
-get-orig-snapshot:
-	rm -Rf ovn-upstream
-	git clone https://github.com/ovn-org/ovn ovn-upstream
-	cd ovn-upstream && \
-		git checkout $(BRANCH) && \
-		export COMMIT=`git rev-parse --short HEAD` && \
-		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
-			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
-	rm -Rf ovn-upstream

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ovn-$1\.tar\.gz/,dversionmangle=s/\+ds\d+$//" \
  https://github.com/ovn-org/ovn/tags .*/v?(\d\S+)\.tar\.gz

## ovn 21.06.0+ds1

=== debian/changelog ===
ovn (21.06.0+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Oct 2021 09:46:32 +0200

ovn (21.06.0+ds1-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 08:17:55 +0200

ovn (21.06.0+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #993007)

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Aug 2021 10:11:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Uploaders:
+ Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- autoconf (>= 2.64),
- automake (>= 1.10) | automake1.10,
+ autoconf,
+ automake,
  bzip2,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -17,32 +18,34 @@
  libtool,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.15.0~),
+ openstack-pkg-tools,
+ openvswitch-source,
  pkg-config,
  procps,
  python3-all-dev,
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx,
-Standards-Version: 4.4.0
-Homepage: https://github.com/ovn-org/ovn
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
+ tcpdump,
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
+Homepage: http://openvswitch.org/
 
 Package: ovn-central
 Architecture: linux-any
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN central components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-central provides the userspace daemons, utilities and
  databases for OVN that is run at a central location.
@@ -55,9 +58,9 @@
  ${shlibs:Depends},
 Description: OVN common components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-common provides components required by other OVN packages.
 
@@ -69,10 +72,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN vtep controller
- ovn-controller-vtep is the local controller daemon in
- OVN, the Open Virtual Network, for VTEP enabled physical switches.
- It connects up to the OVN Southbound database over the OVSDB protocol,
- and down to the VTEP database over the OVSDB protocol.
+ ovn-controller-vtep is the local controller daemon in OVN, the Open Virtual
+ Network, for VTEP enabled physical switches. It connects up to the OVN
+ Southbound database over the OVSDB protocol, and down to the VTEP database
+ over the OVSDB protocol.
  .
  ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
  vtep gateways.
@@ -95,9 +98,9 @@
 Package: ovn-docker
 Architecture: linux-any
 Depends:
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
- python3-openvswitch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ python3-openvswitch (>= 2.15.0~),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -114,7 +117,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-switch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-switch (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -153,7 +156,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},

## ovn 21.09.0~git20210922.6549e5842

=== debian/changelog ===
ovn (21.09.0~git20210922.6549e5842-0ubuntu1) impish; urgency=medium

  * New upstream snapshot from 21.09 release branch.
  * d/control: Bump minimum openvswitch-source version requirement to
    pickup required changes.
  * d/rules: Re-align skip-test list for ARM architectures.
  * d/rules: Skip racey tests across all architectures.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Sep 2021 07:43:54 +0100

ovn (21.09.0~git20210806.d08f89e21-0ubuntu1.1) impish; urgency=medium

  * Allow upgrades without data plane outage.
    - d/ovn-host.ovn-controller.service: Pass --restart option when
      calling `ovn-ctl stop_controller` (LP: #1940043).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 16 Aug 2021 11:53:37 +0200

ovn (21.09.0~git20210806.d08f89e21-0ubuntu1) impish; urgency=medium

  * Snapshot in preparation for 21.09 release.
  * d/control: Add tcpdump to BD's.
  * d/rules: Skip tests 391->392 on ARM architectures.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Aug 2021 16:37:37 +0100

ovn (21.06.0-0ubuntu1) impish; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jul 2021 14:23:41 +0100

## ovn 21.09.0

=== debian/changelog ===
ovn (21.09.0-0ubuntu1) impish; urgency=medium

  * New stable release (LP: #1947003).

 -- James Page <james.page@ubuntu.com>  Fri, 15 Oct 2021 13:04:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
-Uploaders:
- Thomas Goirand <zigo@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Build-Depends:
- autoconf,
- automake,
+ autoconf (>= 2.64),
+ automake (>= 1.10) | automake1.10,
  bzip2,
- debhelper-compat (= 12),
+ debhelper (>= 10~),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -18,8 +17,7 @@
  libtool,
  libunbound-dev,
  openssl,
- openstack-pkg-tools,
- openvswitch-source,
+ openvswitch-source (>= 2.16.0-0ubuntu2~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -27,25 +25,25 @@
  python3-sortedcontainers,
  python3-sphinx,
  tcpdump,
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
-Homepage: http://openvswitch.org/
+Standards-Version: 4.4.0
+Homepage: https://github.com/ovn-org/ovn
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
 
 Package: ovn-central
 Architecture: linux-any
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.15.0~),
+ openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN central components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction. OVN complements the existing capabilities of OVS to add native
- support for virtual network abstractions, such as virtual L2 and L3 overlays
- and security groups.
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
  .
  ovn-central provides the userspace daemons, utilities and
  databases for OVN that is run at a central location.
@@ -58,9 +56,9 @@
  ${shlibs:Depends},
 Description: OVN common components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction. OVN complements the existing capabilities of OVS to add native
- support for virtual network abstractions, such as virtual L2 and L3 overlays
- and security groups.
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
  .
  ovn-common provides components required by other OVN packages.
 
@@ -72,10 +70,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN vtep controller
- ovn-controller-vtep is the local controller daemon in OVN, the Open Virtual
- Network, for VTEP enabled physical switches. It connects up to the OVN
- Southbound database over the OVSDB protocol, and down to the VTEP database
- over the OVSDB protocol.
+ ovn-controller-vtep is the local controller daemon in
+ OVN, the Open Virtual Network, for VTEP enabled physical switches.
+ It connects up to the OVN Southbound database over the OVSDB protocol,
+ and down to the VTEP database over the OVSDB protocol.
  .
  ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
  vtep gateways.
@@ -98,9 +96,9 @@
 Package: ovn-docker
 Architecture: linux-any
 Depends:
- openvswitch-common (>= 2.15.0~),
+ openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
- python3-openvswitch (>= 2.15.0~),
+ python3-openvswitch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -117,7 +115,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-switch (>= 2.15.0~),
+ openvswitch-switch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -156,7 +154,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.15.0~),
+ openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
-
-UPSTREAM_GIT = https://github.com/openvswitch/ovn
-include /usr/share/openstack-pkg-tools/pkgos.make
-
-export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
 	dh $@ --with autoreconf,python3,sphinxdoc
@@ -41,7 +36,9 @@
 # arm64,armhf:
 #  168: ovn -- ovn-controller incremental processing    FAILED (ovn-performance.at:483)
 ifneq (,$(filter arm64 armhf, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-167 169-390 393-
+TEST_LIST = 1-167 169-394 397-
+else
+TEST_LIST = 1-394 397-
 endif # arm64,armhf
 
 override_dh_auto_test:
@@ -66,14 +63,33 @@
 	# Package does not ship any init.d files
 	dh_installinit --no-scripts
 
-override_dh_installsystemd:
-	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-northd
-	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-sb
-	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-nb
-	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-sb
-	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-nb
-	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-controller
-	dh_installsystemd --restart-after-upgrade
+override_dh_systemd_enable:
+	dh_systemd_enable -povn-central --name=ovn-northd
+	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-sb
+	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-nb
+	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-sb
+	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-nb
+	dh_systemd_enable -povn-host --name=ovn-controller
+	dh_systemd_enable
+
+override_dh_systemd_start:
+	dh_systemd_start --restart-after-upgrade
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
+
+# Helper target for creating snapshots from upstream git
+DATE=$(shell date +%Y%m%d)
+# Upstream branch to track
+BRANCH=branch-21.09
+VERSION=21.09.0
+
+get-orig-snapshot:
+	rm -Rf ovn-upstream
+	git clone https://github.com/ovn-org/ovn ovn-upstream
+	cd ovn-upstream && \
+		git checkout $(BRANCH) && \
+		export COMMIT=`git rev-parse --short HEAD` && \
+		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
+			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
+	rm -Rf ovn-upstream

## ovn 22.03.0

=== debian/changelog ===
ovn (22.03.0-0ubuntu1) jammy; urgency=medium

  [ Frode Nordahl ]
  * New upstream release.
  * d/source/include-binaries: Add ovn-vif/Documentation/_static/logo.png.

  [ James Page ]
  * d/rules: Refresh test skip list for release, avoiding any under load
    type racey tests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 25 Mar 2022 17:02:52 +0000

ovn (22.03.0~git20220218.ed81be7-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot in preparation for 22.03.0 release.
  * d/control: Switch to using debhelper-compat for debhelper
    versioning.
  * d/control: Add BD on libudev-dev.
  * d/rules: Re-align expected test failures with test numbering.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Feb 2022 16:46:51 +0000

ovn (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release.
  * d/control: Bump openvswitch-source min version to pickup needed
    features.
  * d/control,rules: Bundle ovn-vif plugin to support SmartNIC DPU
    representor port interface plugging.
  * d/copyright: Drop copyright statements for files no longer included
    in the upstream source package.
  * d/watch: Update for multiple upstream release tarballs.
  * d/control: Bump minimum openvswitch version to 2.17.0.
  * d/rules: Skip racey/failing tests on ppc64el and s390x.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Jan 2022 14:41:37 +0000

ovn (21.09.0-0ubuntu2) jammy; urgency=medium

  * New stable release (LP: #1947003).

 -- James Page <james.page@ubuntu.com>  Fri, 15 Oct 2021 13:04:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  autoconf (>= 2.64),
  automake (>= 1.10) | automake1.10,
  bzip2,
- debhelper (>= 10~),
+ debhelper-compat (= 10),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -15,9 +15,10 @@
  libpcap-dev [amd64 i386 ppc64el arm64],
  libssl-dev,
  libtool,
+ libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.16.0-0ubuntu2~),
+ openvswitch-source (>= 2.17.0~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -35,7 +36,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -96,9 +97,9 @@
 Package: ovn-docker
 Architecture: linux-any
 Depends:
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
- python3-openvswitch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ python3-openvswitch (>= 2.17.0~),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -115,7 +116,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-switch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-switch (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -154,7 +155,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -20,26 +20,44 @@
 	# Configure OVS before OVN
 	test -d $(CURDIR)/ovs || mkdir ovs
 	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
-	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr
-	# Use dh_auto_configure to build OVN
+	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
+	# Configure OVN to allow building OVN VIF
+	./boot.sh && ./configure \
+		--prefix=/usr \
+		--localstatedir=/var \
+		--sysconfdir=/etc \
+		--with-dbdir=/var/lib/ovn \
+		--with-ovs-source=$(CURDIR)/ovs \
+		--enable-ssl
+	# Configure and build OVN VIF
+	cd ovn-vif && \
+		./boot.sh && \
+		./configure \
+			--with-ovs-source=$(CURDIR)/ovs \
+			--with-ovn-source=$(CURDIR) \
+			--enable-plug-representor && \
+		make $(PARALLEL)
+	# Use dh_auto_configure to reconfigure OVN with ovn-vif
 	dh_auto_configure -- \
 		--prefix=/usr \
 		--localstatedir=/var \
 		--sysconfdir=/etc \
 		--with-dbdir=/var/lib/ovn \
 		--with-ovs-source=$(CURDIR)/ovs \
-		--enable-ssl
+		--enable-ssl \
+		--with-vif-plug-provider=$(CURDIR)/ovn-vif
 
-# NOTE(jamespage): by default, just run all tests
-TEST_LIST =
-
-# arm64,armhf:
-#  168: ovn -- ovn-controller incremental processing    FAILED (ovn-performance.at:483)
-ifneq (,$(filter arm64 armhf, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-167 169-394 397-
-else
-TEST_LIST = 1-394 397-
-endif # arm64,armhf
+# Last Review: 22.03.0
+# 175: policy-based routing IPv6: 1 HVs, 3 LSs, 1 lport/LS, 1 LR -- ovn-northd -- dp-groups=yes
+# 176: policy-based routing IPv6: 1 HVs, 3 LSs, 1 lport/LS, 1 LR -- ovn-northd -- dp-groups=no
+# 355: ACLs on Port Groups -- ovn-northd -- dp-groups=yes
+# 356: ACLs on Port Groups -- ovn-northd -- dp-groups=no
+# 638: ovn.at:26372 multi-vtep SB Chassis encap updates -- ovn-northd -- dp-groups=yes
+# 639: ovn.at:26372 multi-vtep SB Chassis encap updates -- ovn-northd -- dp-groups=no
+# 683: ACL with Port Group conjunction flow efficiency -- ovn-northd -- dp-groups=yes
+# 684: ACL with Port Group conjunction flow efficiency -- ovn-northd -- dp-groups=no
+# https://bugs.launchpad.net/ubuntu/+source/ovn/+bug/1956749
+TEST_LIST = 1-174 177-354 357-637 640-682 685-
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -57,6 +75,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	cd ovn-vif && make distclean | :
 	rm -rf ovs
 
 override_dh_installinit:
@@ -81,15 +100,18 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=branch-21.09
-VERSION=21.09.0
+BRANCH=main
+VERSION=22.03.0
 
 get-orig-snapshot:
-	rm -Rf ovn-upstream
-	git clone https://github.com/ovn-org/ovn ovn-upstream
+	rm -Rf ovn-upstream ovn-vif-upstream
+	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn ovn-upstream
+	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn-vif ovn-vif-upstream
 	cd ovn-upstream && \
-		git checkout $(BRANCH) && \
 		export COMMIT=`git rev-parse --short HEAD` && \
 		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
-			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
-	rm -Rf ovn-upstream
+			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH) && \
+		cd ../ovn-vif-upstream && \
+		git archive --format tgz --prefix=ovn-vif-$(VERSION)~git$(DATE).$$COMMIT/ \
+			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig-ovn-vif.tar.gz $(BRANCH)
+	rm -Rf ovn-upstream ovn-vif-upstream

## ovn 22.03.2

=== debian/changelog ===
ovn (22.03.2-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version 22.03.2 (LP: #2003056).
  * d/p/lp-1982454-northd-stateless-nat-fix.patch: Drop, included in point release.
  * d/control: Bump openvswitch build requirement.
  * d/flaky-tests.txt: Extend list of flaky tests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 17 Jan 2023 09:45:31 +0100

ovn (22.03.1-0ubuntu2) jammy; urgency=medium

  * d/rules, d/ovn-common.install: Properly fix the ovn-detrace binary
    (LP: #1971178).
  * d/gbp.conf: Add the package components.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 15 Aug 2022 17:45:25 +0200

ovn (22.03.1-0ubuntu1) jammy; urgency=medium

  [ Frode Nordahl ]
  * New upstream point release (LP: #1980809).
  * d/ovn-common.install: Add missing ovn_detrace.py binary (LP: #1971178).
  * d/rules, d/testlist.py, d/flaky-tests.txt:
    - Dynamically build list of tests to run from list of test descriptions.
  * d/p/lp-1982454-northd-stateless-nat-fix.patch (LP: #1982454).

  [ James Page ]
  * d/control: Update openvswitch build requirement.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 21 Jul 2022 09:18:39 +0200
